package net.northking.cctp.element.internal.protocol.socket.cups8583.internal;

/**
 * CupsDataType
 *
 * @author fengxiang.zhang
 * @since 1.0
 */

public enum CupsDataType {

    n("数字"),
    a("英文字母"),
    b("二进制"),
    s("特殊字符"),
    an("英文字母、数字"),
    ans("英文字母、数字、特殊字符"),
    ansb("英文字母、数字、特殊字符、二进制"),
    X("借(D)贷(C)标识"),
    B("二进制"),
    Xn("借(D)贷(C)标识+数字"),
    z("ISO 4909和ISO 7813中定义的磁卡第二、三磁道的代码集");

    private String desc;

    CupsDataType(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return this.desc;
    }
}
